Loading...
Searching...
No Matches
renderTarget.h File Reference
`#include <BALL/COMMON/global.h>`
`#include <BALL/COMMON/exception.h>`
`#include <assert.h>`
`#include <vector>`
`#include <boost/smart_ptr.hpp>`
`#include <boost/shared_array.hpp>`
`#include <BALL/VIEW/RENDERING/pixelFormat.h>`

Go to the source code of this file.

## Classes

struct | BALL::VIEW::Resolution
class | BALL::VIEW::FrameBufferFormat
class | BALL::VIEW::FrameBuffer
class | BALL::VIEW::RenderTarget

## Namespaces

namespace | BALL
namespace | BALL::VIEW

## Typedefs

typedef std::vector< FrameBufferFormat > | BALL::VIEW::BufferFormatList
typedef boost::shared_ptr< FrameBuffer > | BALL::VIEW::FrameBufferPtr

## Functions

std::ostream & | BALL::VIEW::operator<< (std::ostream &o, const FrameBufferFormat &f)